import React, { Component } from 'react'
import { actions } from '../actions'
import { connect } from 'react-redux'
import { withRouter } from 'react-router-dom'
// Components
import loading from 'actions-client-loading'
import errors from 'actions-client-errors'
import auth from 'actions-client-auth'
import admin from './admin'

export const Loading = withRouter(connect(state => state, actions)(loading))
export const Errors = withRouter(connect(state => state, actions)(admin))
export const Auth = withRouter(connect(state => state, actions)(admin))
export const Admin = withRouter(connect(state => state, actions)(admin))
